Bug 6794 - Broken toggle in member-flags in ie
Summary: Broken toggle in member-flags in ie
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Browser compatibility (show other bugs)
Version: master
Hardware: PC Windows
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-26 20:59 UTC by Maxime Pelletier
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
patch to fix the bug (2.77 KB, patch)
2011-08-26 20:59 UTC, Maxime Pelletier
Details | Diff | Splinter Review
Bug 6794 : Fixing a bug with member flags in IE (2.57 KB, patch)
2011-08-26 21:11 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed-off patch for 3.4.x (2.67 KB, patch)
2011-08-29 15:05 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime Pelletier 2011-08-26 20:59:22 UTC
Created attachment 5171 [details] [review]
patch to fix the bug

The checkboxes uses onchange which fires in ie only onblur.
Patch attached changes the event to onclick.
This patch is for 3.2, but the bug is also in 3.4 and the patch could easily be modified.
Comment 1 Chris Cormack 2011-08-26 21:11:21 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2011-08-29 15:05:31 UTC
Created attachment 5213 [details] [review]
Signed-off patch for 3.4.x

This patch fixes the behavior in IE (tested in IE8) without altering the correct behavior in other browsers.
Comment 3 Ian Walls 2011-08-29 15:10:37 UTC
Template only change, easy to read, marking as Passed QA.
Comment 4 Chris Cormack 2011-09-01 09:11:19 UTC
Pushed to master please test
Comment 5 Chris Nighswonger 2011-10-26 18:02:37 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.